@echo off
rem *******************************************************************************
rem  Licenc hatlya al es anyagok - Az IBM tulajdona
rem  (c) Copyright IBM Corporation 2012. Minden jog fenntartva.
rem
rem  Megjegyzs az Egyeslt llamokhoz kormnyzati felhasznlira vonatkoz
rem  korltozott jogokhoz: A hasznlatot, sokszorostst vagy kzzttelt az
rem  IBM vllalattal kttt GSA ADP Schedule Contract szerzds szablyozza
rem  *******************************************************************************

rem ################################################################################
rem
rem Fjl a frisstsi automatizlt parancsfjlok ltal megjelentett zeneteknek.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Kezdeti ellenrzsi zenetek *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo A frisstst adminisztrtori jogokkal kell futtatni.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo Ne hajtsa vgre kzvetlenl az app_upgrade parancsfjlt.  A JTS kiszolgl vagy alkalmazs frisstshez futtassa a kvetkez parancsok egyikt:
echo %TAB%dm_upgrade
echo %TAB%vvc_upgrade
echo A fenti parancsok teljes lersnak megtekintshez hasznlja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo A(z) %2 parancsfjl csak a(z) %3 knyvtrbl futtathat, kivve ha a -help paramtert hasznlja
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo A(z) "%2" tartalmazza a frisstsi parancsfjl paramterrtkeit.
echo Ha mdostania kell brmely alaprtelmezett paramterrtket, szerkesztheti ezeket a fjlokat vagy a paramterrtkeket parancssori argumentumokknt adhatja meg a frisstsi parancsfjlok szmra.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo A kvetkez fjlok egy alkalmazs vagy egy JTS frisstsnek alaprtelmezett paramterrtkeit tartalmazzk.  Ha mdostania kell brmely alaprtelmezett paramterrtket, szerkesztheti ezeket a fjlokat vagy a paramterrtkeket parancssori argumentumokknt adhatja meg a frisstsi parancsfjlok szmra.
echo %TAB%- DMM frissts: "%2params\dm_params%3.bat"
echo %TAB%- VVC frissts: "%2params\vvc_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Paramterek ellenrzsi zenetei *
REM ************************************

REM Bels ellenrzs
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Nem lett megadva JTS vagy alkalmazstpus.  A JTS kiszolgl vagy alkalmazs frisstshez futtassa a kvetkez parancsok egyikt:
echo     dm_upgrade
echo     vvc_upgrade
echo A fenti parancsok teljes lersnak megtekintshez hasznlja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo A(z) %2 nem rvnyes alkalmazstpus. Az alkalmazs frisstshez futtassa a kvetkez parancsok egyikt:
echo     dm_upgrade
echo     vvc_upgrade
echo A fenti parancsok teljes lersnak megtekintshez hasznlja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo A(z) %2 paramter rtke hinyzik.
echo A paramterek teljes lersnak megtekintshez hasznlja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo A(z) %2 paramterhez megadott %3 knyvtr nem ltezik, vagy nem rvnyes.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo A(z) %2 paramterhez megadott %3 knyvtrnak abszolt elrsi tnak kell lennie.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo A(z) %2 paramterhez megadott %3 fjl nem ltezik vagy rvnytelen.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo A(z) %3 egy rvnytelen rtk a(z) %2 paramter esetben.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo A(z) %2 ismeretlen paramter.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND


REM Kls ellenrzs
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo A(z) %2 sajt knyvtr paramter hinyzik.
echo A paramterek teljes lersnak megtekintshez hasznlja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo A(z) %2 knyvtr nem ltezik vagy rvnytelen.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo A(z) '%2' alkalmazs repotools parancs nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul: 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo A(z) '%2' alkalmazs repotools parancs nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo A(z) '%2' konfigurcis fjl nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul: 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo A(z) '%2' konfigurcis fjl nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo A(z) '%2' alkalmazs repotools parancs nem tallhat.  
echo.
echo Ellenrizze, hogy a(z) '%3' -newApplicationHome paramter az j alkalmazskiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo Ha egy korbbi kiadsrl frisst, gyzdjn meg rla, hogy a megfelel kontextusgykereket vlasztotta.  Ha pldul az Installation Manager eszkzt hasznlja, a "Kontextusgykr belltsai" panelen tallhat %5 kontextusgykr lehetsget kell vlasztania.  Ha vletlenl ms lehetsget vlasztott, jra kell teleptenie a termket a(z) %5 kontextusgykr belltssal.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo A(z) '%2' konfigurcis fjl nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -newApplicationHome paramter az j JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo Ha egy korbbi kiadsrl frisst, gyzdjn meg rla, hogy a megfelel kontextusgykereket vlasztotta.  Ha pldul az Installation Manager eszkzt hasznlja, a "Kontextusgykr belltsai" panelen tallhat %5 kontextusgykr lehetsget kell vlasztania.  Ha vletlenl ms lehetsget vlasztott, jra kell teleptenie a termket a(z) %5 kontextusgykr belltssal.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo A(z) '%2' JTS repotools parancs nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldJTSHome paramter a rgi JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo A(z) '%2' konfigurcis fjl nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldJTSHome paramter a rgi JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo A(z) '%2' JTS repotools parancs nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -newJTSHome paramter az j JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo A(z) '%2' konfigurcis fjl nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -newJTSHome paramter az j JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallDir\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo A(z) %2 frisstshez egy 2.x adatokat tartalmaz tar fjl szksges.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND


REM *************************
REM * Vgrehajtsi zenetek *
REM *************************

:LBLMSG_BANNER_dm
echo.
echo.
echo =============================================
echo ===    DM frissts    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_vvc
echo.
echo.
echo =============================================
echo ===    VVC frissts    ===
echo =============================================
echo.
goto LBLEND


REM ***********************
REM * Els lps kapcsol *
REM ***********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo A legutbbi vgrehajts meghisult a kezdeti lpsnl...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo A legutbbi vgrehajts meghisult a(z) %2. lpsnl...
echo Kvnja jraindtani a frisstst ettl vagy egy korbbi lpstl? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo A frissts mr vgre lett hajtva, s sikeresen befejezdtt...
echo Kvn jraindtani egy j frisstst egy adott lpstl? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo A legutbbi vgrehajts sikeresen lellt a(z) %2. lpsnl...
echo Kvnja jraindtani a frisstst a jelenlegi %3. vagy egy korbbi lpstl? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo rja be a lps szmt [%2-%3] amelytl jra kvnja indtani a frisstst, vagy [Enter] rtket a visszavonshoz: 
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo A(z) '%2' nem szm. Adjon meg egy rvnyes lpsszmot.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo A(z) '%2' rvnytelen lpsszm. Adjon meg egy rvnyes lpsszmot.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo Az utols lps a(z) %2. lps, ezrt nem indthatja jra a frisstst a(z) %3. lpstl.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo A(z) %2. lps mg nem futott, ezrt nem indthatja jra a frisstst a(z) %3. lpstl.
goto LBLEND


REM **********************
REM * zenetek a lpsekhez *
REM **********************

:LBLMSG_STEP_0
echo 0. lps: Konfigurcis fjlok frisstse
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo 1. lps: Tblk hozzadsa
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo 2. lps: Adattrhz sma frisstse
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo %2. lps: Lekrdezs jraltrehozsa s indexek keresse
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo 3. lps: Adattrhz sma frisstse
echo -------------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo %2. lps: Szvegindexek jraptse
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo %2. lps: Lekrdezs jraltrehozsa s indexek keresse
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo A(z) %2 frisstse a(z) %3 lpsnl meghisult.  Javtsa ki a problmt, s futtassa jra a parancsfjlt a(z) %3 lpstl.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_DM
echo.
echo A(z) %2 frissts sikeres.  Ha a JTS s a VVC kiszolglt is frisstette, akkor most elindthatja azokat a krnyezetben.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_VVC
echo.
echo A(z) %2 frissts sikeres.  Ha a JTS kiszolglt s valamilyen fgg alkalmazst (pldul DM) is frisstett, akkor most elindthatja a kiszolglkat a krnyezetben.
echo.
goto LBLEND

REM ***************************************
REM * zenetek a lpsek futtatsa kzben *
REM ***************************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Knyvtr: %2
echo Parancs:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo rjon be [E] rtket ennek a lpsnek a vgrehajtshoz, [S] rtket a kihagyshoz, vagy nyomja meg az [Enter] billentyt a parancsfjl vgrehajtsnak visszavonshoz: 
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo A(z) '%2' rvnytelen bejegyzs, csak 'E', 'S' vagy 'Enter' engedlyezett
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Megnylik a jegyzettmbszerkeszt, amely segtsgvel ellenrizheti a(z) %2 teamserver.properties fjlt.
echo Ellenrizze, hogy a com.ibm.team.repository.server.webapp.url tulajdonsggal jellt Nyilvnos URI gykr helyes-e.
echo Ellenrizze, hogy az adatbzis-tulajdonsgok helyesek-e.
echo Ha befejezte, mentse az esetleges mdostsokat, s zrja be a szerkesztt a parancsfjl vgrehajtsnak folytatshoz.
echo.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Nyomja meg a [C] billentyt a vgrehajts folytatshoz, vagy nyomja meg az [Enter] billentyt a parancsfjl vgrehajtsnak visszavonshoz: 
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo A(z) '%2' rvnytelen bejegyzs, csak a 'C' vagy az 'Enter' engedlyezett
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Nem sikerlt tmsolni a szvegindexeket. Forrs: '%2', cl: '%3'.
echo Gyzdjn meg rla, hogy a com.ibm.team.fulltext.indexLocation
echo tulajdonsg meg van hatrozva a teamserver.properties fjlban.
echo Kzzel msolja t a szvegindexeket ebbe a knyvtrba,
echo vagy futtassa a -rebuildTextIndices parancsot az jraptskhz.
echo.
goto LBLEND

REM *********************************************
REM * zenetek a nyilvnos URI-k ellenrzshez *
REM *********************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! HIBA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Nincs nyilvnos URI meghatrozva itt:
echo %3,
echo gy a frissts nem indthat el.
echo.
echo Legalbb egy nyilvnos URI elemnek jelen kell lennie ebben a fjlban, a kvetkezkppen megadva:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo A com.ibm.team.repository.server.webapp.url Nyilvnos URI tulajdonsgnak jelen kell lennie a teamserver.properties fjlban.
echo Adja hozz a tulajdonsgot a rgi telepts teamserver.properties fjljhoz, s lltsa be az rtkt arra az URI gykrre, amelyet minden gyfl hasznlhat a kiszolgl elrshez.
echo A Nyilvnos URI gykr alapvet fontossg az j telepts megfelel mkdshez. A frissts sikertelen lesz ezen tulajdonsg nlkl.  
echo Tovbbi informcikrt tekintse meg az Informcikzpont 'Sajt URI-azonostk tervezse' tmakrt.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! HIBA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Minden nyilvnos, a(z)
echo %3
echo helyen meghatrozott URI megjegyzssel van elltva, gy a frissts nem indthat el.
echo.
echo Legalbb egy megjegyzs nlkli URI-nak kell lennie ebben a fjlban, a kvetkezkkppen megadva:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo A com.ibm.team.repository.server.webapp.url Nyilvnos URI tulajdonsgnak jelen kell lennie a teamserver.properties fjlban.
echo Adja hozz a tulajdonsgot a rgi telepts teamserver.properties fjljhoz, s lltsa be az rtkt arra az URI gykrre, amelyet minden gyfl hasznlhat a kiszolgl elrshez.
echo A Nyilvnos URI gykr alapvet fontossg az j telepts megfelel mkdshez. A frissts sikertelen lesz ezen tulajdonsg nlkl.
echo Tovbbi informcikrt tekintse meg az Informcikzpont 'Sajt URI-azonostk tervezse' tmakrt.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo A jts kontextusgykere a kvetkezre van belltva: '%2'.
echo Az alkalmazs kontextusgykere a kvetkezre van belltva: '%3'.
echo A jts s az alkalmazs kontextusgykere nem lehet azonos.
echo.
goto LBLEND

:LBLEND
endlocal
